import request from '@/utils/request'

// 查询容器清单列表
export function listPvessel(query) {
  return request({
    url: '/cui/pvessel/list',
    method: 'get',
    params: query
  })
}


// 查询容器清单详细
export function getPvessel(id) {
  return request({
    url: '/cui/pvessel/' + id,
    method: 'get'
  })
}
// 查询管线清单列表
export function riskData(query) {
  return request({
    url: '/cui/pvessel/riskData',
    method: 'get',
    params: query
  })
}
// 查询管线清单列表
export function statusData(query) {
  return request({
    url: '/cui/pvessel/statusData',
    method: 'get',
    params: query
  })
}
// 新增容器清单
export function addPvessel(data) {
  return request({
    url: '/cui/pvessel',
    method: 'post',
    data: data
  })
}

// 修改容器清单
export function updatePvessel(data) {
  return request({
    url: '/cui/pvessel',
    method: 'put',
    data: data
  })
}

// 删除容器清单
export function delPvessel(id) {
  return request({
    url: '/cui/pvessel/' + id,
    method: 'delete'
  })
}

// 导出容器清单
export function exportPvessel(query) {
  return request({
    url: '/cui/pvessel/export',
    method: 'get',
    params: query
  })
}
